This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 907018 - Review Request: stbi - JPEG/PNG reader
Review Request: stbi - JPEG/PNG reader
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
: 907020 (view as bug list)
Depends On:
Blocks: 907032
  Show dependency treegraph
 
Reported: 2013-02-02 12:49 EST by Miro Hrončok
Modified: 2013-05-01 23:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-27 23:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-02-02 12:49:15 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/stbi.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/stbi-1.33-1.fc18.src.rpm

Description:

Public Domain JPEG/PNG reader. Primarily of interest to game developers and
other people who can avoid problematic images and only need the trivial
interface.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2013-02-02 14:10:31 EST
*** Bug 907020 has been marked as a duplicate of this bug. ***
Comment 2 T.C. Hollingsworth 2013-04-19 00:49:22 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

==== Issues ====

[!]: The URL is invalid.

     You used an undefined macro (%{url}) in the URL field.  Please provide a
     valid URL.

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in
     /home/fedora/patches/FedoraReview/907018-stbi/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (stb_image.c)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: stbi-1.33-1.fc20.src.rpm
          stbi-devel-1.33-1.fc20.x86_64.rpm
          stbi-1.33-1.fc20.x86_64.rpm
          stbi-debuginfo-1.33-1.fc20.x86_64.rpm
stbi-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint stbi stbi-devel stbi-debuginfo
stbi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libstbi.so.1.0.0 pow
stbi-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
stbi-devel-1.33-1.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libstbi.so.1()(64bit)
    stbi(x86-64) = 1.33-1.fc20

stbi-1.33-1.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)

stbi-debuginfo-1.33-1.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    

OK

Provides
--------
stbi-devel-1.33-1.fc20.x86_64.rpm:
    
    stbi-devel = 1.33-1.fc20
    stbi-devel(x86-64) = 1.33-1.fc20

stbi-1.33-1.fc20.x86_64.rpm:
    
    libstbi.so.1()(64bit)
    stbi = 1.33-1.fc20
    stbi(x86-64) = 1.33-1.fc20

stbi-debuginfo-1.33-1.fc20.x86_64.rpm:
    
    stbi-debuginfo = 1.33-1.fc20
    stbi-debuginfo(x86-64) = 1.33-1.fc20

OK

MD5-sum check
-------------
http://nothings.org/stb_image.c :
  CHECKSUM(SHA256) this package     : 7045682ed5fc550db12e457667213181346d85f24510c84d8c4748362661b5f6
  CHECKSUM(SHA256) upstream package : 7045682ed5fc550db12e457667213181346d85f24510c84d8c4748362661b5f6

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b907018
Comment 3 Miro Hrončok 2013-04-19 04:25:28 EDT
URL seems OK to me, where's the problem, in the macro?
Comment 4 T.C. Hollingsworth 2013-04-19 18:30:33 EDT
Oh, sorry I guess rpm handles this just fine.  Though I wonder if something in our toolchain greps specs instead of parsing them with rpm.  Keep an eye out for breakage.

Package APPROVED.
Comment 5 Miro Hrončok 2013-04-20 13:56:38 EDT
New Package SCM Request
=======================
Package Name: stbi
Short Description: JPEG/PNG reader
Owners: churchyard
Branches: f17 f18 f19
Comment 6 Jon Ciesla 2013-04-22 09:15:48 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-04-22 13:55:50 EDT
stbi-1.33-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/stbi-1.33-1.fc19
Comment 8 Fedora Update System 2013-04-22 13:56:44 EDT
stbi-1.33-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/stbi-1.33-1.fc18
Comment 9 Fedora Update System 2013-04-22 13:57:23 EDT
stbi-1.33-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/stbi-1.33-1.fc17
Comment 10 Fedora Update System 2013-04-22 22:57:55 EDT
stbi-1.33-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-04-27 23:50:35 EDT
stbi-1.33-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-05-01 23:54:04 EDT
stbi-1.33-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2013-05-01 23:58:04 EDT
stbi-1.33-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.